declare const Constants: {
    /** Constant to hold the company name, as it is generally cased */
    ANDCULTURE: string;
    /** Constant to hold the company OSS brand, as it is generally cased */
    ANDCULTURE_CODE: string;
    /** Constant to represent the 'bin' directory or config section */
    BIN: string;
    /** Constant to represent the directory for and-cli related configuration files */
    CLI_CONFIG_DIR: string;
    /** Constant to hold a reference to name of the CLI so we aren't hard-coding it multiple places */
    CLI_NAME: string;
    /** Constant to represent the 'dist' directory for built js */
    DIST: string;
    /** Constant to hold a reference to the name of the entrypoint/main file */
    ENTRYPOINT: string;
    /** Output to be prefixed on messages sent to echo.error() */
    ERROR_OUTPUT_STRING: string;
    /** Standardized error message for an invalid package version string */
    ERROR_INVALID_VERSION_STRING: string;
    /** Standardized error message when an error occurs while reading csproj files */
    ERROR_READING_CSPROJ_FILES: string;
    /** Constant to hold the standard 'help' flag description */
    HELP_DESCRIPTION: string;
    /** Constant to hold the 'node_modules' directory string */
    NODE_MODULES: string;
    /** Constant to hold the 'obj' directory string */
    OBJ: string;
    /** Constant to hold the 'package.json' file string */
    PACKAGE_JSON: string;
    /** Constant to hold the standard 'unknown command' output from Commander when parsing arguments */
    UNKNOWN_COMMAND: string;
    /** Semver regex pattern for validating version number (see https://semver.org/#is-there-a-suggested-regular-expression-regex-to-check-a-semver-string) */
    VERSION_REGEX_PATTERN: RegExp;
    /** Output string to be prefixed on messages sent to echo.warn() */
    WARN_OUTPUT_STRING: string;
};
export { Constants };
