declare const DotnetPath: {
    CLI_FILE_PATH: string;
    RELEASE_DIRECTORY: string;
    /**
     * Retrieves the dotnet cli's assembly directory path
     */
    cliDir(): string | undefined;
    /**
     * Retrieves the dotnet cli's assembly path
     */
    cliPath(): string | undefined;
    /**
     * Retrieves the dotnet data project file path (memoized)
     */
    dataProjectFilePath(): string | undefined;
    /**
     * Retrieves the dotnet data project file path  or exits if it isn't found (memoized)
     */
    dataProjectFilePathOrExit(): string | never;
    /**
     * Retrieves the dotnet solution's release directory path (absolute path)
     */
    releaseDir(): string | undefined;
    /**
     * Retrieves the dotnet solution's folder path
     */
    solutionDir(): string | undefined;
    /**
     * Retrieves the dotnet solution file path (memoized)
     */
    solutionPath(): string | undefined;
    /**
     * Retrieves the dotnet solution file path or exits if it isn't found (memoized)
     */
    solutionPathOrExit(): string | never;
    /**
     * Verifies that the `dotnet` executable is installed and returns its path. If `dotnet` cannot
     * be found within the current `PATH`, it returns undefined.
     *
     */
    verify(): string | undefined;
    /**
     * Verifies that the `dotnet` executable is installed or exits if it cannot be found within
     * the current `PATH`
     *
     */
    verifyOrExit(): string | never;
    /**
     * Retrieves the dotnet web project's folder path
     */
    webProjectFileDir(): string | undefined;
    /**
     * Retrieves the dotnet web project file path (memoized)
     */
    webProjectFilePath(): string | undefined;
    /**
     * Retrieves the dotnet web project file path or exits if it isn't found (memoized)
     */
    webProjectFilePathOrExit(): string | never;
};
export { DotnetPath };
