declare const Echo: {
    /**
     * Echos specific property value for each item in a list
     * @param {array} list array of objects for which to print a property
     * @param {string} property property name to print on each line
     * @param {function} fn optional function to call on each iteration; if null, defaults to 'Echo.message'
     */
    byProperty(list?: any[] | undefined, property?: string | undefined, fn?: ((property: any) => void) | undefined): void;
    center(message?: string | undefined): void;
    divider(): void;
    error(message?: string | undefined): void;
    errors(messages: string[]): void;
    header(message?: string | undefined): void;
    headerError(message?: string | undefined): void;
    headerSuccess(message?: string | undefined): void;
    message(message?: string | undefined, includePrefix?: boolean): void;
    json(obj: any): void;
    newLine(includePrefix?: boolean): void;
    success(message?: string | undefined): string;
    warn(message?: string | undefined): void;
};
export { Echo };
