declare const File: {
    /**
     * Returns the correct bash configuration file for the current user
     */
    bashFile(): string;
    /**
     * Deletes the file provided it exists
     * @param file Relative or absolute path to file
     */
    deleteIfExists(file: string): void;
    /**
     * Returns whether or not a file matching the given expression exists
     */
    exists(fileExpression: string): boolean;
    /**
     * Returns the first match of the provided file expression
     */
    first(fileExpression: string): string;
};
export { File };
