import { ListCommandsOptions } from "../interfaces/list-commands-options";
/**
 * DTO for parsing & storing command/option info from commander's output
 */
interface ParsedCommandDto {
    command: string;
    options: string[];
    parent: string | null;
}
declare const ListCommands: {
    DEFAULT_OPTIONS: Required<ListCommandsOptions>;
    cmd(command?: string | undefined): string;
    description(): string;
    parse(): void;
    parseOrReadCache(): void;
    print(dtos: ParsedCommandDto[], indent?: number): void;
    printCommand(dto: ParsedCommandDto, indent: number): void;
    printOption(option: string, indent: number): void;
    printOptions(dto: ParsedCommandDto, indent: number): void;
    readCachedFile(): void;
    resetCache(): void;
    run(options: ListCommandsOptions): void;
    saveCachedFile(): void;
    setOptions(updated: Partial<ListCommandsOptions>): void;
};
export { ListCommands };
