import { MigrationMode } from "../enums/migration-mode";
import { CommandStringBuilder } from "../utilities/command-string-builder";
import { OptionStringBuilder } from "../utilities/option-string-builder";
declare const Migration: {
    /**
     * Returns the command string to be executed
     *
     * @param {MigrationMode} mode Type of migration operation being run
     * @param {string} migrationName Name of the migration to run, add or delete
     * @param {string} startupProjectDir Absolute path to the startup project directory (usually a Presentation.Web project)
     * @returns {CommandStringBuilder}
     */
    cmd(mode: MigrationMode, migrationName: string, startupProjectDir: string): CommandStringBuilder;
    description(mode: MigrationMode): string;
    getOptions(): {
        ADD: OptionStringBuilder;
        DELETE: OptionStringBuilder;
        RUN: OptionStringBuilder;
    };
    migrationName(migrationName: string[]): any;
    mode(mode: MigrationMode): any;
    run(): void;
    validateOrExit(): boolean;
};
export { Migration };
