import { ShellArray } from "shelljs";
import { OptionStringBuilder } from "../utilities/option-string-builder";
interface NugetUpgrade {
    matchingProjects: string[];
    packageName: string;
    packageVersion: string;
    description: () => string;
    findCsprojFiles: () => ShellArray;
    getCsprojFilesContainingPackage: (csprojFiles: string[]) => string[];
    getOptions: () => OptionStringBuilder;
    promptForConfirmation: () => Promise<void>;
    promptForPackageName: () => Promise<string>;
    promptForPackageVersion: () => Promise<string>;
    validatePackageVersion: (packageVersion?: string) => string;
    replacePackageVersion: () => number;
    validatePackageName: (packageName?: string) => string;
    run: () => Promise<void>;
}
declare const NugetUpgrade: NugetUpgrade;
export { NugetUpgrade };
