import { ProcessDescriptor } from "ps-list";
declare const Ps: {
    DEFAULT_KILL_OPTIONS: {
        /**
         * Force kill the process.
         */
        force: boolean;
        /**
         * Ignore capitalization when killing a process.
         *
         * Note that the case is always ignored on Windows.
         */
        ignoreCase: boolean;
        /**
         * Suppress all error messages. For example: `Process doesn't exist.`
         */
        silent: boolean;
        /**
         * Kill all child processes along with the parent process. _(Windows only)_
         */
        tree: boolean;
    };
    kill(input: number | string | ReadonlyArray<string | number>, options?: {
        /**
         * Force kill the process.
         */
        force: boolean;
        /**
         * Ignore capitalization when killing a process.
         *
         * Note that the case is always ignored on Windows.
         */
        ignoreCase: boolean;
        /**
         * Suppress all error messages. For example: `Process doesn't exist.`
         */
        silent: boolean;
        /**
         * Kill all child processes along with the parent process. _(Windows only)_
         */
        tree: boolean;
    }): Promise<number>;
    list(name?: string | undefined): Promise<ProcessDescriptor[]>;
};
export { Ps };
