declare const Zip: {
    /**
     * File source and destination descriptor
     * @typedef {Object} InputDirectory
     * @property {string} source - Relative or absolute path to directory
     * @property {string} [destination] - Relative path to directory within output zip. If not supplied, source is used.
     */
    /**
     * File source and destination descriptor
     * @typedef {Object} InputFile
     * @property {string} source - Relative or absolute path to file
     * @property {string} [destination] - Relative path to file within output zip. If not supplied, source is used.
     */
    /**
     * Creates a new zip archive comprised of the supplied file(s) and/ or director(ies)
     * @param {InputDirectory[]} inputDirectories - Directories to include in the zip
     * @param {InputFile[]} inputFiles - Files to include in the zip
     * @param {string} outputPath - Relative or absolute file path of final zip archive
     */
    create(inputDirectories: any, inputFiles: any, outputPath: any): Promise<unknown>;
};
export { Zip };
