declare class CommandStringBuilder {
    args: string[];
    cmd: string;
    /**
     * Constructor function to return a `CommandString` object based on the given command & arguments
     *
     * @param {string} [cmd=""] Base command to be executed, ie `dotnet`
     * @param {string[]} [args=[]] Any additional arguments that need to be passed along with the
     * base command, such as `build`
     * @returns {CommandStringBuilder}
     */
    constructor(cmd?: string, ...args: string[]);
    toString(): string;
    withArgs(...args: string[]): CommandStringBuilder;
    withCmd(cmd?: string): CommandStringBuilder;
}
export { CommandStringBuilder };
