declare class OptionStringBuilder {
    option: string;
    shortFlag: string;
    /**
     * Constructor function to an `OptionStringBuilder` object based on the given option & short flag
     *
     * @param {string} [option=""] Full option or 'verbose' flag to trigger the option's behavior.
     * If not provided, it assumes the shortFlag or option will be set with subsequent function calls.
     * Note: "--" does not need to be provided, and will be stripped out.
     * @param {string} [shortFlag=""] Short flag to trigger the option's behavior.
     * If not provided, it assumes the option or shortFlag will be set with subsequent function calls.
     * Note: "-" does not need to be provided, and will be stripped out.
     * @returns {OptionStringBuilder}
     */
    constructor(option?: string, shortFlag?: string);
    toArray(): string[];
    toString(): string;
    withOption(option: string): OptionStringBuilder;
    withShortFlag(shortFlag: string): OptionStringBuilder;
}
export { OptionStringBuilder };
